Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network59.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
59.192.0.0
Broadcast address
59.255.255.255
First usable
59.192.0.1
Last usable
59.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 3BC00000 · Integer 1002438656 to 1006632959
Reverse DNS zones
192.59.in-addr.arpa
193.59.in-addr.arpa
194.59.in-addr.arpa
195.59.in-addr.arpa
196.59.in-addr.arpa
197.59.in-addr.arpa
198.59.in-addr.arpa
199.59.in-addr.arpa
200.59.in-addr.arpa
201.59.in-addr.arpa
202.59.in-addr.arpa
203.59.in-addr.arpa
204.59.in-addr.arpa
205.59.in-addr.arpa
206.59.in-addr.arpa
207.59.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111011.11000000.00000000.0000000059.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00111011.11000000.00000000.0000000059.192.0.0
Broadcast00111011.11111111.11111111.1111111159.255.255.255
Split into smaller subnets/18

59.192.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
159.192.0.0/1859.192.0.1 to 59.192.63.25459.192.63.25516,382
259.192.64.0/1859.192.64.1 to 59.192.127.25459.192.127.25516,382
359.192.128.0/1859.192.128.1 to 59.192.191.25459.192.191.25516,382
459.192.192.0/1859.192.192.1 to 59.192.255.25459.192.255.25516,382
559.193.0.0/1859.193.0.1 to 59.193.63.25459.193.63.25516,382
659.193.64.0/1859.193.64.1 to 59.193.127.25459.193.127.25516,382
759.193.128.0/1859.193.128.1 to 59.193.191.25459.193.191.25516,382
859.193.192.0/1859.193.192.1 to 59.193.255.25459.193.255.25516,382
959.194.0.0/1859.194.0.1 to 59.194.63.25459.194.63.25516,382
1059.194.64.0/1859.194.64.1 to 59.194.127.25459.194.127.25516,382
1159.194.128.0/1859.194.128.1 to 59.194.191.25459.194.191.25516,382
1259.194.192.0/1859.194.192.1 to 59.194.255.25459.194.255.25516,382
1359.195.0.0/1859.195.0.1 to 59.195.63.25459.195.63.25516,382
1459.195.64.0/1859.195.64.1 to 59.195.127.25459.195.127.25516,382
1559.195.128.0/1859.195.128.1 to 59.195.191.25459.195.191.25516,382
1659.195.192.0/1859.195.192.1 to 59.195.255.25459.195.255.25516,382
1759.196.0.0/1859.196.0.1 to 59.196.63.25459.196.63.25516,382
1859.196.64.0/1859.196.64.1 to 59.196.127.25459.196.127.25516,382
1959.196.128.0/1859.196.128.1 to 59.196.191.25459.196.191.25516,382
2059.196.192.0/1859.196.192.1 to 59.196.255.25459.196.255.25516,382
2159.197.0.0/1859.197.0.1 to 59.197.63.25459.197.63.25516,382
2259.197.64.0/1859.197.64.1 to 59.197.127.25459.197.127.25516,382
2359.197.128.0/1859.197.128.1 to 59.197.191.25459.197.191.25516,382
2459.197.192.0/1859.197.192.1 to 59.197.255.25459.197.255.25516,382
2559.198.0.0/1859.198.0.1 to 59.198.63.25459.198.63.25516,382
2659.198.64.0/1859.198.64.1 to 59.198.127.25459.198.127.25516,382
2759.198.128.0/1859.198.128.1 to 59.198.191.25459.198.191.25516,382
2859.198.192.0/1859.198.192.1 to 59.198.255.25459.198.255.25516,382
2959.199.0.0/1859.199.0.1 to 59.199.63.25459.199.63.25516,382
3059.199.64.0/1859.199.64.1 to 59.199.127.25459.199.127.25516,382
3159.199.128.0/1859.199.128.1 to 59.199.191.25459.199.191.25516,382
3259.199.192.0/1859.199.192.1 to 59.199.255.25459.199.255.25516,382
3359.200.0.0/1859.200.0.1 to 59.200.63.25459.200.63.25516,382
3459.200.64.0/1859.200.64.1 to 59.200.127.25459.200.127.25516,382
3559.200.128.0/1859.200.128.1 to 59.200.191.25459.200.191.25516,382
3659.200.192.0/1859.200.192.1 to 59.200.255.25459.200.255.25516,382
3759.201.0.0/1859.201.0.1 to 59.201.63.25459.201.63.25516,382
3859.201.64.0/1859.201.64.1 to 59.201.127.25459.201.127.25516,382
3959.201.128.0/1859.201.128.1 to 59.201.191.25459.201.191.25516,382
4059.201.192.0/1859.201.192.1 to 59.201.255.25459.201.255.25516,382
4159.202.0.0/1859.202.0.1 to 59.202.63.25459.202.63.25516,382
4259.202.64.0/1859.202.64.1 to 59.202.127.25459.202.127.25516,382
4359.202.128.0/1859.202.128.1 to 59.202.191.25459.202.191.25516,382
4459.202.192.0/1859.202.192.1 to 59.202.255.25459.202.255.25516,382
4559.203.0.0/1859.203.0.1 to 59.203.63.25459.203.63.25516,382
4659.203.64.0/1859.203.64.1 to 59.203.127.25459.203.127.25516,382
4759.203.128.0/1859.203.128.1 to 59.203.191.25459.203.191.25516,382
4859.203.192.0/1859.203.192.1 to 59.203.255.25459.203.255.25516,382
4959.204.0.0/1859.204.0.1 to 59.204.63.25459.204.63.25516,382
5059.204.64.0/1859.204.64.1 to 59.204.127.25459.204.127.25516,382
5159.204.128.0/1859.204.128.1 to 59.204.191.25459.204.191.25516,382
5259.204.192.0/1859.204.192.1 to 59.204.255.25459.204.255.25516,382
5359.205.0.0/1859.205.0.1 to 59.205.63.25459.205.63.25516,382
5459.205.64.0/1859.205.64.1 to 59.205.127.25459.205.127.25516,382
5559.205.128.0/1859.205.128.1 to 59.205.191.25459.205.191.25516,382
5659.205.192.0/1859.205.192.1 to 59.205.255.25459.205.255.25516,382
5759.206.0.0/1859.206.0.1 to 59.206.63.25459.206.63.25516,382
5859.206.64.0/1859.206.64.1 to 59.206.127.25459.206.127.25516,382
5959.206.128.0/1859.206.128.1 to 59.206.191.25459.206.191.25516,382
6059.206.192.0/1859.206.192.1 to 59.206.255.25459.206.255.25516,382
6159.207.0.0/1859.207.0.1 to 59.207.63.25459.207.63.25516,382
6259.207.64.0/1859.207.64.1 to 59.207.127.25459.207.127.25516,382
6359.207.128.0/1859.207.128.1 to 59.207.191.25459.207.191.25516,382
6459.207.192.0/1859.207.192.1 to 59.207.255.25459.207.255.25516,382
6559.208.0.0/1859.208.0.1 to 59.208.63.25459.208.63.25516,382
6659.208.64.0/1859.208.64.1 to 59.208.127.25459.208.127.25516,382
6759.208.128.0/1859.208.128.1 to 59.208.191.25459.208.191.25516,382
6859.208.192.0/1859.208.192.1 to 59.208.255.25459.208.255.25516,382
6959.209.0.0/1859.209.0.1 to 59.209.63.25459.209.63.25516,382
7059.209.64.0/1859.209.64.1 to 59.209.127.25459.209.127.25516,382
7159.209.128.0/1859.209.128.1 to 59.209.191.25459.209.191.25516,382
7259.209.192.0/1859.209.192.1 to 59.209.255.25459.209.255.25516,382
7359.210.0.0/1859.210.0.1 to 59.210.63.25459.210.63.25516,382
7459.210.64.0/1859.210.64.1 to 59.210.127.25459.210.127.25516,382
7559.210.128.0/1859.210.128.1 to 59.210.191.25459.210.191.25516,382
7659.210.192.0/1859.210.192.1 to 59.210.255.25459.210.255.25516,382
7759.211.0.0/1859.211.0.1 to 59.211.63.25459.211.63.25516,382
7859.211.64.0/1859.211.64.1 to 59.211.127.25459.211.127.25516,382
7959.211.128.0/1859.211.128.1 to 59.211.191.25459.211.191.25516,382
8059.211.192.0/1859.211.192.1 to 59.211.255.25459.211.255.25516,382
8159.212.0.0/1859.212.0.1 to 59.212.63.25459.212.63.25516,382
8259.212.64.0/1859.212.64.1 to 59.212.127.25459.212.127.25516,382
8359.212.128.0/1859.212.128.1 to 59.212.191.25459.212.191.25516,382
8459.212.192.0/1859.212.192.1 to 59.212.255.25459.212.255.25516,382
8559.213.0.0/1859.213.0.1 to 59.213.63.25459.213.63.25516,382
8659.213.64.0/1859.213.64.1 to 59.213.127.25459.213.127.25516,382
8759.213.128.0/1859.213.128.1 to 59.213.191.25459.213.191.25516,382
8859.213.192.0/1859.213.192.1 to 59.213.255.25459.213.255.25516,382
8959.214.0.0/1859.214.0.1 to 59.214.63.25459.214.63.25516,382
9059.214.64.0/1859.214.64.1 to 59.214.127.25459.214.127.25516,382
9159.214.128.0/1859.214.128.1 to 59.214.191.25459.214.191.25516,382
9259.214.192.0/1859.214.192.1 to 59.214.255.25459.214.255.25516,382
9359.215.0.0/1859.215.0.1 to 59.215.63.25459.215.63.25516,382
9459.215.64.0/1859.215.64.1 to 59.215.127.25459.215.127.25516,382
9559.215.128.0/1859.215.128.1 to 59.215.191.25459.215.191.25516,382
9659.215.192.0/1859.215.192.1 to 59.215.255.25459.215.255.25516,382
9759.216.0.0/1859.216.0.1 to 59.216.63.25459.216.63.25516,382
9859.216.64.0/1859.216.64.1 to 59.216.127.25459.216.127.25516,382
9959.216.128.0/1859.216.128.1 to 59.216.191.25459.216.191.25516,382
10059.216.192.0/1859.216.192.1 to 59.216.255.25459.216.255.25516,382
10159.217.0.0/1859.217.0.1 to 59.217.63.25459.217.63.25516,382
10259.217.64.0/1859.217.64.1 to 59.217.127.25459.217.127.25516,382
10359.217.128.0/1859.217.128.1 to 59.217.191.25459.217.191.25516,382
10459.217.192.0/1859.217.192.1 to 59.217.255.25459.217.255.25516,382
10559.218.0.0/1859.218.0.1 to 59.218.63.25459.218.63.25516,382
10659.218.64.0/1859.218.64.1 to 59.218.127.25459.218.127.25516,382
10759.218.128.0/1859.218.128.1 to 59.218.191.25459.218.191.25516,382
10859.218.192.0/1859.218.192.1 to 59.218.255.25459.218.255.25516,382
10959.219.0.0/1859.219.0.1 to 59.219.63.25459.219.63.25516,382
11059.219.64.0/1859.219.64.1 to 59.219.127.25459.219.127.25516,382
11159.219.128.0/1859.219.128.1 to 59.219.191.25459.219.191.25516,382
11259.219.192.0/1859.219.192.1 to 59.219.255.25459.219.255.25516,382
11359.220.0.0/1859.220.0.1 to 59.220.63.25459.220.63.25516,382
11459.220.64.0/1859.220.64.1 to 59.220.127.25459.220.127.25516,382
11559.220.128.0/1859.220.128.1 to 59.220.191.25459.220.191.25516,382
11659.220.192.0/1859.220.192.1 to 59.220.255.25459.220.255.25516,382
11759.221.0.0/1859.221.0.1 to 59.221.63.25459.221.63.25516,382
11859.221.64.0/1859.221.64.1 to 59.221.127.25459.221.127.25516,382
11959.221.128.0/1859.221.128.1 to 59.221.191.25459.221.191.25516,382
12059.221.192.0/1859.221.192.1 to 59.221.255.25459.221.255.25516,382
12159.222.0.0/1859.222.0.1 to 59.222.63.25459.222.63.25516,382
12259.222.64.0/1859.222.64.1 to 59.222.127.25459.222.127.25516,382
12359.222.128.0/1859.222.128.1 to 59.222.191.25459.222.191.25516,382
12459.222.192.0/1859.222.192.1 to 59.222.255.25459.222.255.25516,382
12559.223.0.0/1859.223.0.1 to 59.223.63.25459.223.63.25516,382
12659.223.64.0/1859.223.64.1 to 59.223.127.25459.223.127.25516,382
12759.223.128.0/1859.223.128.1 to 59.223.191.25459.223.191.25516,382
12859.223.192.0/1859.223.192.1 to 59.223.255.25459.223.255.25516,382
12959.224.0.0/1859.224.0.1 to 59.224.63.25459.224.63.25516,382
13059.224.64.0/1859.224.64.1 to 59.224.127.25459.224.127.25516,382
13159.224.128.0/1859.224.128.1 to 59.224.191.25459.224.191.25516,382
13259.224.192.0/1859.224.192.1 to 59.224.255.25459.224.255.25516,382
13359.225.0.0/1859.225.0.1 to 59.225.63.25459.225.63.25516,382
13459.225.64.0/1859.225.64.1 to 59.225.127.25459.225.127.25516,382
13559.225.128.0/1859.225.128.1 to 59.225.191.25459.225.191.25516,382
13659.225.192.0/1859.225.192.1 to 59.225.255.25459.225.255.25516,382
13759.226.0.0/1859.226.0.1 to 59.226.63.25459.226.63.25516,382
13859.226.64.0/1859.226.64.1 to 59.226.127.25459.226.127.25516,382
13959.226.128.0/1859.226.128.1 to 59.226.191.25459.226.191.25516,382
14059.226.192.0/1859.226.192.1 to 59.226.255.25459.226.255.25516,382
14159.227.0.0/1859.227.0.1 to 59.227.63.25459.227.63.25516,382
14259.227.64.0/1859.227.64.1 to 59.227.127.25459.227.127.25516,382
14359.227.128.0/1859.227.128.1 to 59.227.191.25459.227.191.25516,382
14459.227.192.0/1859.227.192.1 to 59.227.255.25459.227.255.25516,382
14559.228.0.0/1859.228.0.1 to 59.228.63.25459.228.63.25516,382
14659.228.64.0/1859.228.64.1 to 59.228.127.25459.228.127.25516,382
14759.228.128.0/1859.228.128.1 to 59.228.191.25459.228.191.25516,382
14859.228.192.0/1859.228.192.1 to 59.228.255.25459.228.255.25516,382
14959.229.0.0/1859.229.0.1 to 59.229.63.25459.229.63.25516,382
15059.229.64.0/1859.229.64.1 to 59.229.127.25459.229.127.25516,382
15159.229.128.0/1859.229.128.1 to 59.229.191.25459.229.191.25516,382
15259.229.192.0/1859.229.192.1 to 59.229.255.25459.229.255.25516,382
15359.230.0.0/1859.230.0.1 to 59.230.63.25459.230.63.25516,382
15459.230.64.0/1859.230.64.1 to 59.230.127.25459.230.127.25516,382
15559.230.128.0/1859.230.128.1 to 59.230.191.25459.230.191.25516,382
15659.230.192.0/1859.230.192.1 to 59.230.255.25459.230.255.25516,382
15759.231.0.0/1859.231.0.1 to 59.231.63.25459.231.63.25516,382
15859.231.64.0/1859.231.64.1 to 59.231.127.25459.231.127.25516,382
15959.231.128.0/1859.231.128.1 to 59.231.191.25459.231.191.25516,382
16059.231.192.0/1859.231.192.1 to 59.231.255.25459.231.255.25516,382
16159.232.0.0/1859.232.0.1 to 59.232.63.25459.232.63.25516,382
16259.232.64.0/1859.232.64.1 to 59.232.127.25459.232.127.25516,382
16359.232.128.0/1859.232.128.1 to 59.232.191.25459.232.191.25516,382
16459.232.192.0/1859.232.192.1 to 59.232.255.25459.232.255.25516,382
16559.233.0.0/1859.233.0.1 to 59.233.63.25459.233.63.25516,382
16659.233.64.0/1859.233.64.1 to 59.233.127.25459.233.127.25516,382
16759.233.128.0/1859.233.128.1 to 59.233.191.25459.233.191.25516,382
16859.233.192.0/1859.233.192.1 to 59.233.255.25459.233.255.25516,382
16959.234.0.0/1859.234.0.1 to 59.234.63.25459.234.63.25516,382
17059.234.64.0/1859.234.64.1 to 59.234.127.25459.234.127.25516,382
17159.234.128.0/1859.234.128.1 to 59.234.191.25459.234.191.25516,382
17259.234.192.0/1859.234.192.1 to 59.234.255.25459.234.255.25516,382
17359.235.0.0/1859.235.0.1 to 59.235.63.25459.235.63.25516,382
17459.235.64.0/1859.235.64.1 to 59.235.127.25459.235.127.25516,382
17559.235.128.0/1859.235.128.1 to 59.235.191.25459.235.191.25516,382
17659.235.192.0/1859.235.192.1 to 59.235.255.25459.235.255.25516,382
17759.236.0.0/1859.236.0.1 to 59.236.63.25459.236.63.25516,382
17859.236.64.0/1859.236.64.1 to 59.236.127.25459.236.127.25516,382
17959.236.128.0/1859.236.128.1 to 59.236.191.25459.236.191.25516,382
18059.236.192.0/1859.236.192.1 to 59.236.255.25459.236.255.25516,382
18159.237.0.0/1859.237.0.1 to 59.237.63.25459.237.63.25516,382
18259.237.64.0/1859.237.64.1 to 59.237.127.25459.237.127.25516,382
18359.237.128.0/1859.237.128.1 to 59.237.191.25459.237.191.25516,382
18459.237.192.0/1859.237.192.1 to 59.237.255.25459.237.255.25516,382
18559.238.0.0/1859.238.0.1 to 59.238.63.25459.238.63.25516,382
18659.238.64.0/1859.238.64.1 to 59.238.127.25459.238.127.25516,382
18759.238.128.0/1859.238.128.1 to 59.238.191.25459.238.191.25516,382
18859.238.192.0/1859.238.192.1 to 59.238.255.25459.238.255.25516,382
18959.239.0.0/1859.239.0.1 to 59.239.63.25459.239.63.25516,382
19059.239.64.0/1859.239.64.1 to 59.239.127.25459.239.127.25516,382
19159.239.128.0/1859.239.128.1 to 59.239.191.25459.239.191.25516,382
19259.239.192.0/1859.239.192.1 to 59.239.255.25459.239.255.25516,382
19359.240.0.0/1859.240.0.1 to 59.240.63.25459.240.63.25516,382
19459.240.64.0/1859.240.64.1 to 59.240.127.25459.240.127.25516,382
19559.240.128.0/1859.240.128.1 to 59.240.191.25459.240.191.25516,382
19659.240.192.0/1859.240.192.1 to 59.240.255.25459.240.255.25516,382
19759.241.0.0/1859.241.0.1 to 59.241.63.25459.241.63.25516,382
19859.241.64.0/1859.241.64.1 to 59.241.127.25459.241.127.25516,382
19959.241.128.0/1859.241.128.1 to 59.241.191.25459.241.191.25516,382
20059.241.192.0/1859.241.192.1 to 59.241.255.25459.241.255.25516,382
20159.242.0.0/1859.242.0.1 to 59.242.63.25459.242.63.25516,382
20259.242.64.0/1859.242.64.1 to 59.242.127.25459.242.127.25516,382
20359.242.128.0/1859.242.128.1 to 59.242.191.25459.242.191.25516,382
20459.242.192.0/1859.242.192.1 to 59.242.255.25459.242.255.25516,382
20559.243.0.0/1859.243.0.1 to 59.243.63.25459.243.63.25516,382
20659.243.64.0/1859.243.64.1 to 59.243.127.25459.243.127.25516,382
20759.243.128.0/1859.243.128.1 to 59.243.191.25459.243.191.25516,382
20859.243.192.0/1859.243.192.1 to 59.243.255.25459.243.255.25516,382
20959.244.0.0/1859.244.0.1 to 59.244.63.25459.244.63.25516,382
21059.244.64.0/1859.244.64.1 to 59.244.127.25459.244.127.25516,382
21159.244.128.0/1859.244.128.1 to 59.244.191.25459.244.191.25516,382
21259.244.192.0/1859.244.192.1 to 59.244.255.25459.244.255.25516,382
21359.245.0.0/1859.245.0.1 to 59.245.63.25459.245.63.25516,382
21459.245.64.0/1859.245.64.1 to 59.245.127.25459.245.127.25516,382
21559.245.128.0/1859.245.128.1 to 59.245.191.25459.245.191.25516,382
21659.245.192.0/1859.245.192.1 to 59.245.255.25459.245.255.25516,382
21759.246.0.0/1859.246.0.1 to 59.246.63.25459.246.63.25516,382
21859.246.64.0/1859.246.64.1 to 59.246.127.25459.246.127.25516,382
21959.246.128.0/1859.246.128.1 to 59.246.191.25459.246.191.25516,382
22059.246.192.0/1859.246.192.1 to 59.246.255.25459.246.255.25516,382
22159.247.0.0/1859.247.0.1 to 59.247.63.25459.247.63.25516,382
22259.247.64.0/1859.247.64.1 to 59.247.127.25459.247.127.25516,382
22359.247.128.0/1859.247.128.1 to 59.247.191.25459.247.191.25516,382
22459.247.192.0/1859.247.192.1 to 59.247.255.25459.247.255.25516,382
22559.248.0.0/1859.248.0.1 to 59.248.63.25459.248.63.25516,382
22659.248.64.0/1859.248.64.1 to 59.248.127.25459.248.127.25516,382
22759.248.128.0/1859.248.128.1 to 59.248.191.25459.248.191.25516,382
22859.248.192.0/1859.248.192.1 to 59.248.255.25459.248.255.25516,382
22959.249.0.0/1859.249.0.1 to 59.249.63.25459.249.63.25516,382
23059.249.64.0/1859.249.64.1 to 59.249.127.25459.249.127.25516,382
23159.249.128.0/1859.249.128.1 to 59.249.191.25459.249.191.25516,382
23259.249.192.0/1859.249.192.1 to 59.249.255.25459.249.255.25516,382
23359.250.0.0/1859.250.0.1 to 59.250.63.25459.250.63.25516,382
23459.250.64.0/1859.250.64.1 to 59.250.127.25459.250.127.25516,382
23559.250.128.0/1859.250.128.1 to 59.250.191.25459.250.191.25516,382
23659.250.192.0/1859.250.192.1 to 59.250.255.25459.250.255.25516,382
23759.251.0.0/1859.251.0.1 to 59.251.63.25459.251.63.25516,382
23859.251.64.0/1859.251.64.1 to 59.251.127.25459.251.127.25516,382
23959.251.128.0/1859.251.128.1 to 59.251.191.25459.251.191.25516,382
24059.251.192.0/1859.251.192.1 to 59.251.255.25459.251.255.25516,382
24159.252.0.0/1859.252.0.1 to 59.252.63.25459.252.63.25516,382
24259.252.64.0/1859.252.64.1 to 59.252.127.25459.252.127.25516,382
24359.252.128.0/1859.252.128.1 to 59.252.191.25459.252.191.25516,382
24459.252.192.0/1859.252.192.1 to 59.252.255.25459.252.255.25516,382
24559.253.0.0/1859.253.0.1 to 59.253.63.25459.253.63.25516,382
24659.253.64.0/1859.253.64.1 to 59.253.127.25459.253.127.25516,382
24759.253.128.0/1859.253.128.1 to 59.253.191.25459.253.191.25516,382
24859.253.192.0/1859.253.192.1 to 59.253.255.25459.253.255.25516,382
24959.254.0.0/1859.254.0.1 to 59.254.63.25459.254.63.25516,382
25059.254.64.0/1859.254.64.1 to 59.254.127.25459.254.127.25516,382
25159.254.128.0/1859.254.128.1 to 59.254.191.25459.254.191.25516,382
25259.254.192.0/1859.254.192.1 to 59.254.255.25459.254.255.25516,382
25359.255.0.0/1859.255.0.1 to 59.255.63.25459.255.63.25516,382
25459.255.64.0/1859.255.64.1 to 59.255.127.25459.255.127.25516,382
25559.255.128.0/1859.255.128.1 to 59.255.191.25459.255.191.25516,382
25659.255.192.0/1859.255.192.1 to 59.255.255.25459.255.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses